Get a task
curl --request GET \
--url https://api.attio.com/v2/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"task_id": "649e34f4-c39a-4f4d-99ef-48a36bef8f04"
},
"content_plaintext": "Follow up on current software solutions",
"deadline_at": "2023-01-01",
"is_completed": false,
"completed_at": "2022-11-21T13:22:49.061281000Z",
"linked_records": [
{
"target_object_id": "people",
"target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
}
],
"assignees": [
{
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}
],
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2022-11-21T13:22:49.061281000Z"
}
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Could not find Task with ID \"649e34f4-c39a-4f4d-99ef-48a36bef8f04\"."
}Tasks
Get a task
Get a single task by ID.
Required scopes: task:read, object_configuration:read, record_permission:read, user_management:read.
GET
/
v2
/
tasks
/
{task_id}
Get a task
Was this page helpful?
⌘I